datacache <- new.env(hash=TRUE, parent=emptyenv())

tilinghuman20r03hsrefseq <- function() showQCData("tilinghuman20r03hsrefseq", datacache)
tilinghuman20r03hsrefseq_dbconn <- function() dbconn(datacache)
tilinghuman20r03hsrefseq_dbfile <- function() dbfile(datacache)
tilinghuman20r03hsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilinghuman20r03hsrefseq_dbInfo <- function() dbInfo(datacache)

tilinghuman20r03hsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilinghuman20r03hsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilinghuman20r03hsrefseq", "chip tilinghuman20r03hsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilinghuman20r03hsrefseq_dbconn())
}

